This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 599894 - FTBFS libctl-3.0.2-10.fc12: ImplicitDSOLinking
FTBFS libctl-3.0.2-10.fc12: ImplicitDSOLinking
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libctl (Show other bugs)
14
All Linux
high Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-06-03 16:47 EDT by FTBFS
Modified: 2012-08-16 12:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (51.40 KB, text/plain)
2010-06-03 16:47 EDT, FTBFS
no flags Details
build.log (23.80 KB, text/plain)
2010-06-03 16:47 EDT, FTBFS
no flags Details
mock.log (967 bytes, text/plain)
2010-06-03 16:47 EDT, FTBFS
no flags Details
root.log (69.04 KB, text/plain)
2010-06-03 16:47 EDT, FTBFS
no flags Details
build.log (23.22 KB, text/plain)
2010-06-03 16:47 EDT, FTBFS
no flags Details
mock.log (897 bytes, text/plain)
2010-06-03 16:47 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-06-03 16:47:29 EDT
libctl-3.0.2-10.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-06-03 16:47:31 EDT
Created attachment 420299 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-06-03 16:47:33 EDT
Created attachment 420300 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-06-03 16:47:34 EDT
Created attachment 420301 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-06-03 16:47:35 EDT
Created attachment 420302 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-06-03 16:47:37 EDT
Created attachment 420303 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-06-03 16:47:38 EDT
Created attachment 420304 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-07-30 07:56:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Admin XMLRPC Client 2011-07-12 17:46:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2012-08-16 12:39:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.